# NOTE: pixman >= 0.27.1 for glyph cache (enable after stable pixman release)
#
# Conditional build:
%bcond_with	glamor	Glamor acceleration
%bcond_without	sna	SandyBridge's New Acceleration (also for older generations)
#
%define	libdrm_ver	2.4.39
%if %{with sna}
%define	xserver_ver	1.10
%else
%define	xserver_ver	1.6.3
%endif
Summary:	X.org video driver for Intel integrated graphics chipsets
Summary(pl.UTF-8):	Sterownik obrazu X.org dla zintegrowanych układów graficznych Intela
Name:		xorg-driver-video-intel
Version:	2.20.5
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-intel-%{version}.tar.bz2
# Source0-md5:	f6105268d7a63783460526ffe327e6c0
URL:		http://xorg.freedesktop.org/
BuildRequires:	Mesa-libGL-devel
#BuildRequires:	autoconf >= 2.63
#BuildRequires:	automake >= 1:1.10.2-2
%{?with_glamor:BuildRequires:	glamor-devel >= 0.3.1}
BuildRequires:	libdrm-devel >= %{libdrm_ver}
#BuildRequires:	libtool >= 2:2.2
BuildRequires:	libxcb-devel >= 1.5
BuildRequires:	pixman-devel >= 0.24.0
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	udev-devel
BuildRequires:	xcb-util-devel
BuildRequires:	xorg-lib-libXfixes-devel
BuildRequires:	xorg-lib-libXvMC-devel
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.10
BuildRequires:	xorg-proto-dri2proto-devel >= 2.6
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-glproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-proto-xextproto-devel >= 7.0.99.1
BuildRequires:	xorg-proto-xf86driproto-devel
BuildRequires:	xorg-proto-xproto-devel >= 7.0.13
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= %{xserver_ver}
%{?requires_xorg_xserver_videodrv}
%{?with_glamor:Requires:	glamor >= 0.3.1}
Requires:	libdrm >= %{libdrm_ver}
Requires:	xorg-lib-libpciaccess >= 0.10
Requires:	xorg-xserver-libdri >= %{xserver_ver}
Requires:	xorg-xserver-libglx >= %{xserver_ver}
Requires:	xorg-xserver-server >= %{xserver_ver}
Provides:	xorg-driver-video
Provides:	xorg-driver-video-i810
Obsoletes:	X11-driver-i810 < 1:7.0.0
Obsoletes:	XFree86-driver-i810 < 1:7.0.0
Obsoletes:	XFree86-i810
Obsoletes:	xorg-driver-video-i810 < 1.7.2
Conflicts:	vbetool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for Intel integrated graphics chipsets. It
supports:
- i810, i810-DC100, i810e, i815, 830M, 845G, 852GM, 855GM, 865G, 915G,
  915GM, 945G, 945GM, 965G, 965Q, 946GZ, 965GM, 945GME, G33, Q33, G35,
  Q35, GM45, G45, Q45, G43, G41 chipsets,
- Pineview-M in Atom N400 series,
- Pineview-D in Atom D400/D500 series.

Requires Kernel Mode Setting (KMS) to be active.

%description -l pl.UTF-8
Sterownik obrazu X.org dla zintegrowanych układów graficznych Intela.
Obsługuje:
- układy i810, i810-DC100, i810e, i815, 830M, 845G, 852GM, 855GM,
  865G, 915G, 915GM, 945G, 945GM, 965G, 965Q, 946GZ, 965GM, 945GME, G33,
  Q33, G35, Q35, GM45, G45, Q45, G43, G41,
- Pineview-M w procesorach Atom z serii N400,
- Pineview-D w procesorach Atom z serii D400/D500.

Wymaga aktywnego Kernel Mode Setting (KMS).

%prep
%setup -q -n xf86-video-intel-%{version}

%build
%configure \
	--disable-silent-rules \
	%{?with_glamor:--enable-glamor} \
	--with-default-accel=%{?with_sna:sna}%{!?with_sna:uxa} \
	--enable-uxa \
	--enable-sna%{!?with_sna:=no}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la \
	$RPM_BUILD_ROOT%{_libdir}/lib*XvMC.{la,so}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libI810XvMC.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libI810XvMC.so.1
%attr(755,root,root) %{_libdir}/libIntelXvMC.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libIntelXvMC.so.1
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/intel_drv.so
%{_mandir}/man4/intel.4*
%changelog
* Sun Aug 26 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> cb65b7f
- up to 2.20.5

* Sat Aug 18 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 0eeb265
- up to 2.20.4

* Sat Aug 04 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 339bbd2
- up to 2.20.3

* Fri Jul 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 5c58aaf
- updated to 2.20.2 (bugfixes)

* Mon Jul 23 2012 Jakub Bogusz <qboosh@pld-linux.org> fa77bfb
- added pixman note

* Mon Jul 23 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> b01907c
- up to 2.20.1

* Sun Jul 15 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 8b8bec4
- up to 2.20.0; SNA is default (here and in upstream) now but you can switch to UXA on xorg.conf level

* Sat Jun 02 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> b9a567d
- release 2

* Tue May 08 2012 Jakub Bogusz <qboosh@pld-linux.org> 9d11ec0
- added glamor bcond

* Tue May 08 2012 Jakub Bogusz <qboosh@pld-linux.org> 8cc3fdb
- proper xserver version wrt. sna bcond

* Mon Apr 30 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 5bcf56d
- up to 2.19.0

* Mon Mar 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> f0c8a0e
- release 2

* Fri Feb 24 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> a6f92e5
- up to 2.18.0

* Thu Nov 17 2011 Jakub Bogusz <qboosh@pld-linux.org> debd4ae
- bcond header

* Thu Nov 17 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> cb6dc7b
- up to 2.17.0; disable SNA (people report too many problems with it)

* Mon Nov 14 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 066529e
- make sna bcond

* Sun Nov 13 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 62a95c4
- up to 2.16.902 (enable SNA)

* Sun Nov 06 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> b4e3c1b
- BR pixman 0.24.0

* Sat Aug 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> c7c8a13
- release 3

* Thu Aug 25 2011 Elan Ruusamäe <glen@pld-linux.org> fe99b7c
- xorg-driver-video virtual for video drivers
- release 2

